KD Chart 2: KDChart::BackgroundAttributes class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::BackgroundAttributes Class Reference

`#include <KDChartBackgroundAttributes.h>`

List of all members.

## Public Types
enum | BackgroundPixmapMode { BackgroundPixmapModeNone, BackgroundPixmapModeCentered, BackgroundPixmapModeScaled, BackgroundPixmapModeStretched }
## Public Member Functions
| BackgroundAttributes (const BackgroundAttributes &)
| BackgroundAttributes ()
QBrush | brush () const
bool | isEqualTo (const BackgroundAttributes &other, bool ignorePixmap=false) const
bool | isVisible () const
bool | operator!= (const BackgroundAttributes &other) const
BackgroundAttributes & | operator= (const BackgroundAttributes &)
bool | operator== (const BackgroundAttributes &) const
QPixmap | pixmap () const
BackgroundPixmapMode | pixmapMode () const
void | setBrush (const QBrush &brush)
void | setPixmap (const QPixmap &backPixmap)
void | setPixmapMode (BackgroundPixmapMode mode)
void | setVisible (bool visible)
| ~BackgroundAttributes ()

## Member Enumeration Documentation

enum KDChart::BackgroundAttributes::BackgroundPixmapMode

  | Enumeration values:
  BackgroundPixmapModeNone |
  BackgroundPixmapModeCentered |
  BackgroundPixmapModeScaled |
  BackgroundPixmapModeStretched |
Definition at line 49 of file KDChartBackgroundAttributes.h.
    00049                               { BackgroundPixmapModeNone,
    00050                                 BackgroundPixmapModeCentered,
    00051                                 BackgroundPixmapModeScaled,
    00052                                 BackgroundPixmapModeStretched };

## Constructor & Destructor Documentation

KDChart::BackgroundAttributes::BackgroundAttributes | ( |  | ) |

KDChart::BackgroundAttributes::BackgroundAttributes | ( | const BackgroundAttributes & |  | ) |

KDChart::BackgroundAttributes::~BackgroundAttributes | ( |  | ) |

## Member Function Documentation

QBrush KDChart::BackgroundAttributes::brush | ( |  | ) | const

| Referenced by operator<<(), KDChart::AbstractAreaBase::paintBackgroundAttributes(), and updateCommonBrush().

bool KDChart::BackgroundAttributes::isEqualTo | ( | const BackgroundAttributes & | other,
|  | bool | ignorePixmap = false
| ) | const

bool KDChart::BackgroundAttributes::isVisible | ( |  | ) | const

| Referenced by operator<<(), KDChart::AbstractAreaBase::paintBackgroundAttributes(), and updateCommonBrush().

bool KDChart::BackgroundAttributes::operator!= | ( | const BackgroundAttributes & | other | ) | const

| Definition at line 67 of file KDChartBackgroundAttributes.h.
    00067 { return !operator==(other); }

BackgroundAttributes& KDChart::BackgroundAttributes::operator= | ( | const BackgroundAttributes & |  | ) |

bool KDChart::BackgroundAttributes::operator== | ( | const BackgroundAttributes & |  | ) | const

QPixmap KDChart::BackgroundAttributes::pixmap | ( |  | ) | const

| Referenced by operator<<(), and KDChart::AbstractAreaBase::paintBackgroundAttributes().

BackgroundPixmapMode KDChart::BackgroundAttributes::pixmapMode | ( |  | ) | const

| Referenced by operator<<(), KDChart::AbstractAreaBase::paintBackgroundAttributes(), and updateCommonBrush().

void KDChart::BackgroundAttributes::setBrush | ( | const QBrush & | brush | ) |

void KDChart::BackgroundAttributes::setPixmap | ( | const QPixmap & | backPixmap | ) |

void KDChart::BackgroundAttributes::setPixmapMode | ( | BackgroundPixmapMode | mode | ) |

void KDChart::BackgroundAttributes::setVisible | ( | bool | visible | ) |

The documentation for this class was generated from the following file:

- KDChartBackgroundAttributes.h